Show / Hide Table of Contents

# Class TexFileExtensions

Extensions to Lumina.Data.Files.TexFile.

##### Inheritance

System.Object
TexFileExtensions

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Data.LuminaExtensions

###### Assembly: Dalamud.dll

##### Syntax

    public static class TexFileExtensions

### Methods

| Improve this Doc View Source

#### GetRgbaImageData(TexFile)

Returns the image data formatted for LoadImageRaw(Byte[], Int32, Int32, Int32).

##### Declaration

    public static byte[] GetRgbaImageData(this TexFile texFile)

##### Parameters

Type | Name | Description
--- | --- | ---
Lumina.Data.Files.TexFile | texFile | The TexFile to format.

##### Returns

Type | Description
--- | ---
System.Byte[] | The formatted image data.